com.fasterxml.jackson.databind.util

## Class ViewMatcher

- java.lang.Object
- - com.fasterxml.jackson.databind.util.ViewMatcher

- All Implemented Interfaces:
    java.io.Serializable

      public class ViewMatcher
      extends java.lang.Object
      implements java.io.Serializable

  Helper class used for checking whether a property is visible in the active view
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static ViewMatcher` | `EMPTY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ViewMatcher()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ViewMatcher` | `construct(java.lang.Class<?>[] views)`
    `boolean` | `isVisibleForView(java.lang.Class<?> activeView)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EMPTY

          protected static final ViewMatcher EMPTY

  - ### Constructor Detail

    - #### ViewMatcher

          public ViewMatcher()

  - ### Method Detail

    - #### isVisibleForView

          public boolean isVisibleForView(java.lang.Class<?> activeView)

    - #### construct

          public static ViewMatcher construct(java.lang.Class<?>[] views)